# $Revision: 1.70 $, $Date: 2011/01/05 22:39:53 $
%define		_kdever	4.0
%define		_qtver	4.0

Summary:	KDE frontend for subversion
Summary(de.UTF-8):	KDE Frontend für Subversion
Summary(pl.UTF-8):	Frontend KDE do subversion
Name:		kdesvn
Version:	1.5.5
Release:	1
License:	GPL v2
Group:		X11/Development/Tools
Source0:	http://kdesvn.alwins-world.de/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	8f11d31cc55fba408b7971541ee261d0
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-docbook.patch
URL:		http://www.alwins-world.de/programs/kdesvn/
BuildRequires:	QtCore-devel >= %{_qtver}
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSql-devel >= %{_qtver}
BuildRequires:	QtSvg-devel
BuildRequires:	apr-devel
BuildRequires:	apr-util-devel
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.4.0
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdelibs-devel >= %{_kdever}
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	subversion-devel >= 1.2.0
BuildConflicts:	kdesvn-svnqt-devel < %{version}
Requires:	%{name}-svnqt = %{version}-%{release}
Requires:	QtCore >= %{_qtver}
Requires:	QtSql >= %{_qtver}
Requires:	apr
Requires:	apr-util
Requires:	kde4-kdelibs >= %{_kdever}
Requires:	subversion >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kdesvn is yet another client for subversion. But it uses native KDE
API instead of a extra lib like GAMBAS and it is using the native
subversion delevelopment API instead of just parsing the output of the
commandline tool like most other clients do.

It tries to setup a look and feel like the standard filemanager of
KDE.

%description -l de.UTF-8
Kdesvn ist ein weiterer Subversion Klient. Aber es benutzt die native
KDE API anstatt einer zusätzlichen Bibliothek wie GAMBAS und es
benutzt die native subversion Development API anstatt nur die Ausgabe
zu parsen wie die meisten anderen Klienten es tun.

%description -l pl.UTF-8
Kdesvn jest kolejnym klientem subversion. Używa jednak natywnego API
KDE zamiast dodatkowej biblioteki jak GAMBAS, jak również używa
natywnego API subversion zamiast analizy wyjścia narzędzia
działającego z linii poleceń, jak to robią inni klienci subversion.

Program ten stara się ustawić wygląd zbliżony do standardowego
zarządcy plików KDE.

%package svnqt
Summary:	Wrapper library for subversion Qt integration
Summary(pl.UTF-8):	Wrapper biblioteki subversion do intergracji z Qt
Group:		Libraries
Requires:	subversion-libs >= 1.2.0

%description svnqt
Shared library which contains a Qt C++ wrapper for subversion. It is
core part of kdesvn but is designed to not require KDE so plain Qt
programs may use it.

%description svnqt -l pl.UTF-8
Biblioteka współdzielona zawierająca wrapper C++ do obsługi
subversion. Jest główną częścią kdesvn, ale nie wymaga KDE, więc może
być używana w programach korzystających z samego Qt.

%package svnqt-devel
Summary:	Wrapper library header files for subversion Qt integration
Summary(pl.UTF-8):	Pliki nagłówkowe wrappera biblioteki subversion dla Qt
Group:		Development/Libraries
Requires:	%{name}-svnqt = %{version}-%{release}
Requires:	qt-devel
Requires:	subversion-devel >= 1.2.0

%description svnqt-devel
Header files for wrapper library for subversion Qt integration.

%description svnqt-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki współdzielonej zawierającej wrapper C++ do
obsługi subversion.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

cd doc/en
for a in $(find -type l); do
	l=$(readlink $a)
	rm -f $a
	cp -a $l $a;
done
cd -

%build
%cmake \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	.

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	svnqt -p /sbin/ldconfig
%postun	svnqt -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/kde4/*.so
%{_desktopdir}/kde4/kdesvn.desktop
%{_iconsdir}/*/*/*/*.png
%{_iconsdir}/*/*/*/*.svgz
%{_datadir}/apps/%{name}
%{_datadir}/apps/kdesvnpart
%{_datadir}/apps/kconf_update/kdesvn-use-external-update.sh
%{_datadir}/apps/kconf_update/kdesvnpartrc-use-external.upd
%{_datadir}/config.kcfg/*
%{_datadir}/kde4/services/ServiceMenus/*.desktop
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/services/*.protocol
%{_datadir}/kde4/services/kded/kdesvnd.desktop
%{_datadir}/dbus-1/interfaces/*.xml
%{_mandir}/man1/kdesvn.1*
%{_mandir}/man1/kdesvnaskpass.1*

%files svnqt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvnqt.so.*

%files svnqt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvnqt.so
%{_includedir}/svnqt

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdesvn.spec,v $
Revision 1.70  2011/01/05 22:39:53  arvenil
- up to 1.5.5
- added docbook patch

Revision 1.69  2009/12/02 02:12:46  sparky
- BR: QtNetwork-devel, QtSvg-devel, qt4-build, qt4-qmake

Revision 1.68  2009/10/01 21:56:25  cactus
- up to 1.4.1

Revision 1.67  2009/09/23 00:14:41  cactus
- R: kde4-kdelibs

Revision 1.66  2009/08/20 06:19:11  cactus
- up to 1.4.0

Revision 1.65  2009/07/12 10:52:27  cactus
- up to 1.3.2

Revision 1.64  2009/05/24 08:37:24  witekfl
- up to 1.3.1

Revision 1.63  2009/03/19 01:27:06  chomar
- up to 1.2.4

Revision 1.62  2009/03/19 01:12:52  chomar
- correction ( to {

Revision 1.61  2009/03/19 01:00:10  chomar
- updated unpackaged file
- updated requires package

Revision 1.60  2009/01/28 13:13:11  pluto
- updated to 1.2.3, release 0.1.
  please test on kde4 and bump release to 1 if ok.

Revision 1.59  2008/12/26 02:32:37  adamg
- previous commit reverted (mistake)

Revision 1.58  2008/12/26 01:52:47  adamg
- updated to 1.3.2

Revision 1.57  2008/07/18 10:29:23  adamg
- updated to 0.14.6

Revision 1.56  2008/06/28 20:09:37  arekm
- release 3

Revision 1.55  2008-05-20 16:10:02  adamg
- release 2 (1 is for Ac)

Revision 1.54  2008-05-20 16:08:34  adamg
- updated to 0.14.4

Revision 1.53  2008-02-20 18:19:15  twittner
- up to 0.14.2
- sources via dropin due to "obfuscated"
  `http://kdesvn.alwins-world.de/downloads/52' download url.

Revision 1.52  2008-02-04 20:41:50  qboosh
- sorted BRs

Revision 1.51  2008-02-04 15:04:29  agaran
- missing BR added

Revision 1.50  2007-12-21 21:20:22  glen
- rel 3

Revision 1.49  2007-12-21 21:16:39  glen
- check-files cleanup
- don't package dead symlinks; rel 2

Revision 1.48  2007-11-12 00:04:28  adamg
- updated to 0.14.1

Revision 1.47  2007/10/20 17:32:03  shadzik
- 0.14.0
- don't package .la files

Revision 1.46  2007/08/11 19:45:55  shadzik
- hurrey, 0.13.0 is here

Revision 1.45  2007/06/13 14:36:14  rotom
- up to 0.12.1

Revision 1.44  2007/05/05 00:05:37  rotom
- up to 0.12.0

Revision 1.43  2007/04/11 20:12:24  glen
- main pkg R: -svnqt otherwise kdesvn on startup says "can't find our part"

Revision 1.42  2007/03/25 20:36:39  shadzik
- 0.11.2

Revision 1.41  2007/03/05 13:30:03  matkor
- Updated 0.11.1-1. STBR for Ac.

Revision 1.40  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:48:59  baggins
- converted to UTF-8

Revision 1.38  2006/11/07 22:18:09  glen
- do not own %{_desktopdir}/kde; rel 2

Revision 1.37  2006/10/27 14:33:52  maciek2w
- added BC:kdesvn-svnqt-devel < %{version}; Build fails if older version is
  installed because of linking to already installed svnqt library not to
  newly compiled one.

Revision 1.36  2006/10/27 12:41:53  glen
- cosmetic

Revision 1.35  2006/10/27 12:41:28  glen
- cmake build system doesn't use any regular am macros
- fix kdedocdir

Revision 1.34  2006/10/27 10:09:16  shadzik
- 0.11.0

Revision 1.33  2006/10/07 17:33:22  pluto
- x86-64 build fix, release 1.

Revision 1.32  2006/10/05 10:54:13  glen
- macros for %cmake

Revision 1.31  2006/10/05 07:41:21  qboosh
- files fix

Revision 1.30  2006/10/04 23:17:50  shadzik
- up to 0.10.0
- removed kde-ac260-lt.patch, kdesvn now uses cmake to configure
- added man files
- rel 0.1

Revision 1.29  2006/09/18 12:41:12  pluto
- kde-ac260-lt.patch, release 2.

Revision 1.28  2006/09/16 18:02:34  rotom
- up to 0.9.3

Revision 1.27  2006/08/27 21:44:16  shadzik
- 0.9.2

Revision 1.26  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.25  2006/07/23 21:07:16  vip
- up to 0.9.1

Revision 1.24  2006/07/17 23:10:31  adamg
- updated to 0.9.0

Revision 1.23  2006/06/29 19:54:45  shadzik
- german description (which cleared TODO list)
- adapterized

Revision 1.22  2006/06/25 02:59:42  shadzik
- up to 0.8.5; added TODO

Revision 1.21  2006/06/05 16:13:56  shadzik
- apr-utils-devel already required by subversion-devel

Revision 1.20  2006/05/20 20:40:55  adamg
- updated to 0.8.4

Revision 1.19  2006/05/15 06:22:15  charles
- updated to 0.8.3

Revision 1.18  2006/04/21 10:28:34  adamg
- updated to 0.8.2

Revision 1.17  2006/04/14 16:40:52  qboosh
- svnqt packaging fixes

Revision 1.16  2006/04/06 11:20:43  maciek2w
- updated to 0.8.1
- added shared lib subpackage with QT C++ wrapper for subversion

Revision 1.15  2006/03/03 11:44:50  matkor
- Autoupdated to 0.7.4-1.

Revision 1.14  2006/02/06 22:53:04  maciek2w
- rel 1
- STBR

Revision 1.13  2006/02/05 20:35:22  maciek2w
- updated to 0.7.3
- BR: subversion-devel >= 1.2.0

Revision 1.12  2006/01/17 15:57:17  baggins
- release 2
- rebuild with openldap 2.3

Revision 1.11  2006/01/12 00:03:51  blekot
- updated to 0.7.2
- more %files (png,svg,libs,konqueror sevicemenus, etc.)

Revision 1.10  2006/01/02 12:53:46  arekm
- rebuild with new neon

Revision 1.9  2005/10/05 16:09:38  wolf
- 0.6.2

Revision 1.8  2005/09/08 15:39:54  pluto
- updated to 0.5.3 (bugfixes).

Revision 1.7  2005/08/16 17:15:49  wolf
- 0.5.0

Revision 1.6  2005/08/12 19:29:27  twittner
- desktop.patch - added `Categories=Qt;KDE;Development;RevisionControl;' to
  desktop file

Revision 1.5  2005/08/11 22:08:26  wolf
- 0.4.2

Revision 1.4  2005/08/05 22:52:44  wolf
- fix amd64

Revision 1.3  2005/08/05 20:14:17  saq
- pl fixes

Revision 1.2  2005/08/05 19:27:46  qboosh
- pl fixes

Revision 1.1  2005/08/05 12:15:38  adamg
- new
